Subject: Re: linux-next: manual merge of the vfs-brauner tree with the mm tree

From: "Pankaj Raghav (Samsung)" <[email-masked]>
Date: Mon, 2 Sep 2024 09:18:02 +0000

On Mon, Sep 02, 2024 at 11:21:01AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the fs-next tree got a conflict in:
> 
>   include/linux/huge_mm.h
> 
> between commit:
> 
>   bc47772ebe8b ("mm: introduce a pageflag for partially mapped folios")
> 
> from the mm-unstable branch of the mm tree and commit:
> 
>   fd031210c9ce ("mm: split a folio in minimum folio order chunks")
> 
> from the vfs-brauner tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks Stephen.

The changes look good to me.

There is also another fix in this commit that I will be sending out very
soon.

@Christian and @Stephen:

I see that fs-next still does not have the mm-unstable changes. When I
send the fix, should I base it on:

- vfs.blocksize branch from Christian?

or

- linux-next which has latest mm changes?

--
Pankaj